%{?drupal7_find_provides_and_requires}

%global shortmodule google_tag
%global module %{shortmodule}-7.x

Name:          drupal7-%{module}
Version:       2.1
Release:       1%{?dist}
Summary:       Integrates the site with the Google Tag Manager (GTM) application.

License:       GPLv2+
URL:           http://drupal.org/project/%{shortmodule}
Source0:       http://ftp.drupal.org/files/projects/%{module}-%{version}.tar.gz

BuildArch:     noarch
BuildRequires: drupal7-rpmbuild >= 7.23-3

%description


This package provides the following Drupal module:
* %{module}


%prep
%setup -qn %{shortmodule}

# Create RPM README
cat > RPM-README.txt <<'RPM_README'
After installation, you must enable this module from the Drupal administration
page.

If upgrading this module separately from the core Drupal package, be sure to
run the http://hostname/drupal7/upgrade.php script after this RPM is upgraded.
RPM_README


%build
# Empty build section, nothing to build


%install
mkdir -pm 0755 %{buildroot}%{drupal7_modules}/%{shortmodule}
cp -pr * %{buildroot}%{drupal7_modules}/%{shortmodule}/


%files
%{!?_licensedir:%global license %%doc}
%license LICENSE.txt
%doc README.txt RPM-README.txt
%{drupal7_modules}/%{shortmodule}
%exclude %{drupal7_modules}/%{shortmodule}/*.txt


%changelog
* Tue Jun 27 2023 J. Randall Owens <jrowens@ghiapet.net> - 2.1-1
- Initial package

